@import url('https://fonts.cdnfonts.com/css/credit-card');

/*  BASE STYLES */
* {
    box-sizing: border-box;
    margin: 0;
    padding: 0;
}

html {
    font-family: sans-serif;
    font-size: 18px;
}

body {
    display: flex;
    justify-content: center;
    align-items: center;
    min-height: 100vh;
}

label {
    font-weight: bold;
}

input {
    margin: 5px 0;
    padding: 8px;
    width: 100%;
    border: 1px solid #aaaaaa;
    border-radius: 8px;
}

button {
    margin: 5px 0;
    width: 100px;
    height: 38px;
    padding: 8px;
    border: none;
    border-radius: 25px;
    background-color: #dfdfdf;
    color: #808080;
    font-weight: 600;
    cursor: pointer;
}

/* Card */

.card {
    position: absolute;
    top: 50px;
    padding: 20px;
    width: 380px;
    height: 210px;
    border-radius: 10px;
    background-color: #202020;
}

.card__header {
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin-bottom: 10px;
}

.bank__name {
    color: #fff;
}

.bank__name span {
    font-size: medium;
    color: slategray;
}

.chip__icon {
    margin-bottom: 5px;
}

.card__number {
    display: flex;
    justify-content: center;
    gap: 15px;
    color: slategray;
    font-size: 16px;
    font-family: 'Credit Card', sans-serif; 
    letter-spacing: 2px;
}

.card__footer {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.card__info {
    display: flex;
    flex-direction: column;
    gap: 8px;
    margin-right: 20px;
    width: 100%;
}

.card__holder,
.card__expires {
    display: flex;
    justify-content: flex-end;
    align-items: center;
    color: slategray;
}

.card__expires p {
    width: min-content;
    font-size: 8px;
    margin-right: 5px;
}

.card__expires span {
    font-family: 'Credit Card', sans-serif;   
    font-size: 12px;
    letter-spacing: 1px;
}

.card__holder {
    justify-content: start;
    font-family: 'Credit Card', sans-serif;                     
    font-size: 18px;
    letter-spacing: 1px;
}

/* FORM */

.form__container {
    padding: 120px 60px 40px 60px;
    width: 600px;
    border: 1px solid #1c1c1c;
    border-radius: 5px;
    box-shadow: 0 0 10px #1c1c1c;
}

.fields {
    display: grid;
    grid-template-columns: repeat(2,minmax(0,1fr));
    gap: 20px 40px;
}

.buttons {
    display: flex;
    gap: 20px;
    margin-top: 20px;
}

.submit {
    width: 130px;
    background-color: #3b14ff;
    color: #fff;
}

.submit:hover {
    background-color: #1d00af;
}

.reset:hover {
    background-color: #cfcfcf;
}

/* ERROR MESSAGE STYLES */
.card__number-input--error,
.card__holder-input--error,
.card__expires-input--error,
.cvv-input--error {
    font-size: 12px;
    font-weight: 600;
    color: red;
}

/* CARD ADDED CONTAINER */
.card__Container {
    position: absolute;
    display: grid;
    grid-template-columns: repeat(2,minmax(0,1fr));
    gap: 40px;
    bottom: 0;
    padding: 20px;
    width: 800px;
    height: 200px;
}

